Name: 		swh-plugins
Version: 	0.2.7
Release: 	gst.1
Summary: 	Steve Harris's set of audio plug-ins for LADSPA

Group: 		Libraries/Multimedia
License: 	GPL
URL:		http://www.plugin.org.uk/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source: 	http://plugin.org.uk/releases/%{version}/%{name}-%{version}.tar.gz
Patch:		swh-plugins.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires:	fftw
BuildRequires:	ladspa-devel
BuildRequires:	fftw-devel

%description
swh-plugins is a set of audio plugiins for LADSPA written by Steve Harris.

%prep
%setup
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README TODO
%{_libdir}/ladspa/amp_1181.so
%{_libdir}/ladspa/debug_1184.so
%{_libdir}/ladspa/diode_1185.so
%{_libdir}/ladspa/divider_1186.so
%{_libdir}/ladspa/shaper_1187.so
%{_libdir}/ladspa/ringmod_1188.so
%{_libdir}/ladspa/comb_1190.so
%{_libdir}/ladspa/declip_1195.so
%{_libdir}/ladspa/foverdrive_1196.so
%{_libdir}/ladspa/sinus_wavewrapper_1198.so
%{_libdir}/ladspa/hermes_filter_1200.so
%{_libdir}/ladspa/multivoice_chorus_1201.so
%{_libdir}/ladspa/flanger_1191.so
%{_libdir}/ladspa/decimator_1202.so
%{_libdir}/ladspa/single_para_1203.so
%{_libdir}/ladspa/triple_para_1204.so
%{_libdir}/ladspa/transient_1206.so
%{_libdir}/ladspa/fad_delay_1192.so
%{_libdir}/ladspa/dc_remove_1207.so
%{_libdir}/ladspa/retro_flange_1208.so
%{_libdir}/ladspa/valve_1209.so
%{_libdir}/ladspa/sifter_1210.so
%{_libdir}/ladspa/tape_delay_1211.so
%{_libdir}/ladspa/step_muxer_1212.so
%{_libdir}/ladspa/foldover_1213.so
%{_libdir}/ladspa/svf_1214.so
%{_libdir}/ladspa/gsm_1215.so
%{_libdir}/ladspa/gverb_1216.so
%{_libdir}/ladspa/phasers_1217.so
%{_libdir}/ladspa/harmonic_gen_1220.so
%{_libdir}/ladspa/surround_encoder_1401.so
%{_libdir}/ladspa/delayorama_1402.so
%{_libdir}/ladspa/dyson_compress_1403.so
%{_libdir}/ladspa/crossover_dist_1404.so
%{_libdir}/ladspa/valve_rect_1405.so
%{_libdir}/ladspa/split_1406.so
%{_libdir}/ladspa/alias_1407.so
%{_libdir}/ladspa/satan_maximiser_1408.so
%{_libdir}/ladspa/karaoke_1409.so
%{_libdir}/ladspa/gate_1410.so
%{_libdir}/ladspa/comb_splitter_1411.so
%{_libdir}/ladspa/wave_terrain_1412.so
%{_libdir}/ladspa/hard_limiter_1413.so
%{_libdir}/ladspa/smooth_decimate_1414.so
%{_libdir}/ladspa/fm_osc_1415.so
%{_libdir}/ladspa/analogue_osc_1416.so
%{_libdir}/ladspa/mbeq_1197.so
%{_libdir}/ladspa/pitch_scale_1193.so
%{_libdir}/ladspa/pitch_scale_1194.so
%{_libdir}/ladspa/imp_1199.so

%changelog
* Wed Jun 05 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from included spec file to GStreamer packaging


