Name:      	vcr-avifile
Version:   	0.6.20011111
Release:   	1
Summary:   	AVI file support library

Group:     	Multimedia/Libraries
License: 	GPL
Vendor:         Dave/Dina <package@davedina.apestaart.org>
Source:   	http://davedina.apestaart.org/current/pkg/SOURCES/avifile-%{version}.tar.gz
URL:       	http://divx.euro.ru/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

## this require is so we have libmmxnow
Requires:	avifile
Requires:	libstdc++
BuildRequires:	gcc-c++
BuildRequires:	libstdc++-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
#BuildRequires:  mad-devel
#BuildRequires:  a52dec-devel
BuildRequires:	XFree86-devel
BuildRequires:	XFree86-libs

%description
Avifile is a library that allows programs to read and write compressed AVI 
files (Indeo? Video,DivX :-), etc.) under x86 Linux. 
(De)compression is performed with Win32 DLLs. 

This is a specific snapshot used by vcr.

%package devel
Summary:        Header files and static libraries for avifile.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Conflicts:	avifile-devel

%description devel
This package contains the header files and static libraries necessary to build
against the avifile library.

%prep
%setup -n avifile-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
                        --enable-release --enable-quiet \
			--disable-qt --disable-sdl --disable-x-code
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%post
/sbin/ldconfig

%postun 
/sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING doc/*
%{_libdir}/avifile0.6/*.so
%{_libdir}/libaviplay-0.6.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/avifile-config
%{_libdir}/libaviplay.so
#%{_libdir}/libaviplay.a
%{_libdir}/libmmxnow.so
#%{_libdir}/libmmxnow.a
#%{_libdir}/avifile0.6/*.a
%{_includedir}/avifile/*.h
%{_includedir}/mmxnow.h

%changelog
* Sat Oct 19 2002 Thomas Vander Stichele <thomas@apestaart.org>
- reworked from previous spec to be useful for vcr and not conflict
  with other avifile packages

* Sat Jan 27 2001 Eugene Kuznetsov <divx@euro.ru>

- Updated to conform to new directory layout
* Tue Oct 02 2000 Eugene Kuznetsov <divx@euro.ru>

- Merged in contributed .spec  
- First public release
* Wed Sep 20 2000 Eugene Kuznetsov <divx@euro.ru>

- First try at an RPM
