Name:		libswfdec
Version:	0.1.1
Release:	gst.1
Summary:	Decoder/renderer for Macromedia Flash animations.	

Group:		Libraries/Multimedia
License:	LGPL
URL:		http://fame.sourceforge.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:		ftp://ftp.comedi.org/pub/libswfdec/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

Prereq:		/sbin/ldconfig

Requires:	pkgconfig
Requires:	gtk2 >= 2.0.0
Requires:	libart_lgpl >= 2.0.0
Requires:	mad

BuildRequires:	pkgconfig
BuildRequires:	gtk2-devel >= 2.0.0
BuildRequires:	libart_lgpl-devel >= 2.0.0
BuildRequires:	mad-devel
BuildRequires:	mozilla-devel
BuildRequires:	mozilla-nspr-devel

%description
swfdec is a decoder/renderer library for Macromedia Flash animations.
Included is a simple GTK2-based player and an even simpler Mozilla
plugin that allows the player to be embedded into your favorite
browser.  (Note that it's not necessary to have a GTK+-2.0-based
browser.)

%package devel
Summary:	libswfdec development files and static libraries.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libswfdec-devel contains the files necessary to build packages that use the 
libswfdec library.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO 
%{_libdir}/libswfdec.so.*
%{_libdir}/mozilla/plugins/libmozswfdec.so.*
%{_bindir}/swf_play

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/libswfdec.pc
%{_libdir}/libswfdec.so
%{_libdir}/libswfdec.a
%{_libdir}/mozilla/plugins/libmozswfdec.so
%{_libdir}/mozilla/plugins/libmozswfdec.a
%{_includedir}/libswfdec/swf.h

%changelog
* Mon Sep 16 2002 Thomas Vander Stichele <thomas@apestaart.org>
- first release
